           curl_share_setopt - Set options for a shared object

## SYNOPSIS

           #include <curl/curl.h>

           CURLSHcode  curl_share_setopt(CURLSH  *share, CURLSHoption
           option, parameter);

## DESCRIPTION

           Set the option to parameter for the given share.

## OPTIONS

           CURLSHOPT_LOCKFUNC
               The parameter must be a pointer to a function matching
               the following prototype:

               void  lock_function(CURL *handle, curl_lock_data data,
               curl_lock_access access, void *userptr);

               data defines what data libcurl wants to lock, and  you
               must make sure that only one lock is given at any time
               for each kind of data.

               access defines what access type libcurl wants,  shared
               or single.

               userptr is the pointer you set with CURLSHOPT_USERDAT.

           CURLSHOPT_UNLOCKFUNC
               hej

           CURLSHOPT_SHARE
               hej

           CURLSHOPT_UNSHARE
               hej

           CURLSHOPT_USERDATA
               hej

## RETURN VALUE

           If this function returns non-zero, something was wrong!

## SEE ALSO

           curl_share_cleanup(3), curl_share_init(3)